## org.codehaus.groovy.grails.web.pages
Class GroovyPageMetaInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageMetaInfo

     class GroovyPageMetaInfo

extends Object

A class that encapsulates the information necessary to describe a GSP

Since:
  0.5

  Created: Feb 23, 2007 Time: 11:38:40 AM
Author:
  Graeme Rocher

Constructor Summary
`GroovyPageMetaInfo()`

Method Summary
`String` `getContentType()`
`InputStream` `getGroovySource()`
`long` `getLastModified()`
`int[]` `getLineNumbers()`
`Class` `getPageClass()`
`void` `setContentType(String contentType)`
`void` `setGroovySource(InputStream groovySource)`
`void` `setLastModified(long lastModified)`
`void` `setLineNumbers(int[] lineNumbers)`
`void` `setPageClass(Class pageClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPageMetaInfo

    GroovyPageMetaInfo()

Method Detail

### getPageClass

    public Class getPageClass()

### setPageClass

    public void setPageClass(Class pageClass)

### getLastModified

    public long getLastModified()

### setLastModified

    public void setLastModified(long lastModified)

### getGroovySource

    public InputStream getGroovySource()

### setGroovySource

    public void setGroovySource(InputStream groovySource)

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getLineNumbers

    public int[] getLineNumbers()

### setLineNumbers

    public void setLineNumbers(int[] lineNumbers)

Copyright (c) 2005-2006 The Grails project